WeblogicJmsTopicResolver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jms.weblogic.WeblogicJmsTopicResolver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.weblogic
Class WeblogicJmsTopicResolver

    java.lang.Object
      org.mule.transport.jms.DefaultJmsTopicResolver
          org.mule.transport.jms.weblogic.WeblogicJmsTopicResolver

All Implemented Interfaces:
  JmsTopicResolver

    public class WeblogicJmsTopicResolver

extends DefaultJmsTopicResolver

Weblogic-specific JMS topic resolver. Will use reflection and a vendor API to detect topics.

Field Summary
`protected static Class[]` | `PARAMETER_TYPES_NONE` Cached empty class array, used in the no-args reflective method call.

Fields inherited from class org.mule.transport.jms.DefaultJmsTopicResolver
`logger`

Constructor Summary
`WeblogicJmsTopicResolver(JmsConnector connector)` Create an instance of the resolver.

Method Summary
`boolean` | `isTopic(Destination destination)` For Weblogic 8.x (JMS 1.0.2b) will use Weblogic-specific API call to test for topic.

Methods inherited from class org.mule.transport.jms.DefaultJmsTopicResolver
`checkInvariants, getConnector, isTopic, isTopic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETER_TYPES_NONE

    protected static final Class[] PARAMETER_TYPES_NONE

  Cached empty class array, used in the no-args reflective method call.

Constructor Detail

### WeblogicJmsTopicResolver

    public WeblogicJmsTopicResolver(JmsConnector connector)

  Create an instance of the resolver.

  Parameters:
    `connector` - owning connector

Method Detail

### isTopic

    public boolean isTopic(Destination destination)

  For Weblogic 8.x (JMS 1.0.2b) will use Weblogic-specific API call to test for topic. For Weblogic 9.x and later (JMS 1.1) this call is not required due to the unified messaging domains.

  Specified by:
    `isTopic` in interface `JmsTopicResolver`
  Overrides:
    `isTopic` in class `DefaultJmsTopicResolver`
  Parameters:
    `destination` - a jms destination to test
  Returns:
    `true` if the destination is a topic

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.